Infinity Campus

Reports - Real-Time | Infinity API

Written by Infinity | Nov 18, 2026, 5:32:14 AM

Introduction

These reports display real-time data about your Installation.

PBX Active Calls

Lists active PBX calls (if you have a PBX Installation).

Request

HTTP / Text
GET /reports/v2/igrps/{IGRP SPECIFIER}/pbxActiveCalls

URL Path Params

Property Description
IGRP SPECIFIER (int) Installation ID.

GET Params

Property Description
tz (string)
OPTIONAL
Timezone to convert to, see Dates and Timezones.
excludePiiData (flag)
OPTIONAL
If PII Data should be redacted. This only applies to users who have the piiData permission, otherwise data is always redacted. This flag has no effect for users without the piiData permission.

Response

A list of active calls in various states (ringing, queueing, bridged).

PBX User Status

Lists PBX user statuses (if you have a PBX Installation) and dashboard flag, which indicates if PBX user is available for real-time dashboard.

Request

HTTP / Text
GET /reports/v2/igrps/{IGRP SPECIFIER}/pbxUserStatus

URL Path Params

Property Description
IGRP SPECIFIER (int) Installation ID.

GET Params

Property Description
tz (string)
OPTIONAL
Timezone to convert to, see Dates and Timezones.
sort (array)
OPTIONAL
One or more sorts, see Sort Types.

Sort Types

Property Description
stateStartDatetime (string) The time the state was last changed

Response

A list of PBX users, their state (available/unavailable) and dashboard flag, which indicates if PBX user is available for real-time dashboard.

Active Call

Returns a row with marketing details for a single call, given an IGRP and either a call reference or a caller ID.

Requests from users without permission to see PII Data will be denied.

Request

HTTP / Text
GET /reports/v2/igrps/{IGRP SPECIFIER}/activeCall

URL Path Params

Property Description
IGRP SPECIFIER (int) Installation ID.

GET Params

Property Description
callRef (string)
OPTIONAL
Call reference.
srcPhoneNumber (string)
OPTIONAL
Caller ID in E.164 format, or anonymous. The preceding “+” symbol should be URL encoded to “%2B”.

Either callRef or srcPhoneNumber should be supplied for results.

Response

Tracking pools with Caller Insight Partner Framework - Basic mode

A row of visitor information related to the call within the last 24 hours of request time for the supplied call reference or caller ID.

Property Description
igrp (int) The Infinity Installation ID of the active call
dgrp (int) DGRP ID related to the call
txr (string) Unique Reference of the active call

Tracking pools with Caller Insight Partner Framework - Advanced mode

A row of visitor and marketing information related to the call within the last 24 hours of request time for the supplied call reference or caller ID.

Property Description
igrp (int) The Infinity Installation ID of the active call
igrpName (string) The Infinity Installation Name of the active call
vid (string) The ID of the visitor, that the active call is matched to
dgrp (int) DGRP ID related to the call
dgrpName (string) The name of the DGRP the call was linked to
ch (int) Marketing Source Channel ID
chName (string) Marketing Source Channel Name
chType (string) Marketing Source Channel Type
pub (string) Marketing Source Publisher
campaign (string) Marketing Source Campaign
adGroup (string) Marketing Source AdGroup
matchRef (string) Marketing Source Keyword
txr (string) Unique Reference of the active call
srcPhoneNumber (string) Source phone number
dialledPhoneNumber (string) Dialled phone number
destPhoneNumber (string) Destination phone number
triggerDatetime (datetime) The datetime of the call (in UTC timezone)
landingPageTitle (string) Title of the landing page
pageTitle (string) Title of the page the user was on
landingHref (string) The visitor landing page URI. The page the user entered the website
conversionHref (string) The visitor conversion page URI. The page the user was on when the call started
vref (string) The visitor referrer URI. The page the visitor came from
callState (string) The hangup state of the call
callDuration (int) Call duration of A-leg (seconds the A-leg was in answered state)
bridgeDuration (int) Call bridge duration (seconds the A-leg and B-leg were bridged together)
visitorSummary (string) A text summary of the visitor’s behaviour and activity leading up to the call.
intent (string) A short description of the visitor’s likely intent, inferred from their actions before the call.

For customers using custom variables or with pass-through tags enabled these will be included in the response where available.

Property Description
pt_{tagName} (string) The value of the pass-through tag
c_{varName} (string) The value of the custom variable